using UnityEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

public struct IngameRegist
{
    public static void Regist(){ //used to register nextbots ingame via the nextbot class

        NextCategory.RegistCategory();

        RegistEntity("Senator Armstrong Nextbot", //Armstrong
            "a Senator Armstrong Nextbot with attack patterns and boss-like AI",
            NextbotAssets.GetNextbotSprite("armstrong_icon"), "ReflecCreateArmstrong"); //the icon

    }

    public static void RegistEntity(string Name, string Desc, Sprite TheThumbnail, string EntMethod){
        ModAPI.Register(
            new Modification(){
                OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                NameOverride = Name,
                NameToOrderByOverride = "Nextbot_" + Name,
                DescriptionOverride = Desc,
                CategoryOverride = ModAPI.FindCategory("Nextbots"), //DO NOT TOUCH THIS BIT OF CODE
                ThumbnailOverride = TheThumbnail,
                AfterSpawn = (Instance)=> {
                    NextbotAssets.DoMethod(EntMethod,"EntIndexSpawning");
                    UnityEngine.Object.Destroy(Instance);
                }
            }
        );
    }
}
